Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision c99a6c514c56374f21266b358ae99f1145058839)
+++ sansview/perspectives/fitting/basepage.py	(revision 6d9107370296ef59f9f0b56c3bdec65ee95c15a9)
@@ -113,12 +113,12 @@
         #wx.EVT_MENU(self, id, self.onRedo)       
         #self.popUpMenu.AppendSeparator()
-        if sys.platform.count("win32")>0:        
-            id = wx.NewId()
-            self._keep = wx.MenuItem(self.popUpMenu,id,"BookMark"," Keep the panel status to recall it later")
-            self.popUpMenu.AppendItem(self._keep)
-            self._keep.Enable(True)
-            wx.EVT_MENU(self, id, self.onSave)
-            self.popUpMenu.AppendSeparator()
-        
+        #if sys.platform.count("win32")>0:        
+        id = wx.NewId()
+        self._keep = wx.MenuItem(self.popUpMenu,id,"BookMark"," Keep the panel status to recall it later")
+        self.popUpMenu.AppendItem(self._keep)
+        self._keep.Enable(True)
+        wx.EVT_MENU(self, id, self.onSave)
+        self.popUpMenu.AppendSeparator()
+    
         ## Default locations
         self._default_save_location = os.getcwd()     
@@ -1581,6 +1581,6 @@
         self.sizer4.Layout()
         self.Layout()
-        self.Refresh()
-        self.SetScrollbars(20,20,25,65)       
+        #self.Refresh()
+        #self.SetScrollbars(20,20,25,65)       
           
         
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision c99a6c514c56374f21266b358ae99f1145058839)
+++ sansview/perspectives/fitting/fitpage.py	(revision 6d9107370296ef59f9f0b56c3bdec65ee95c15a9)
@@ -82,5 +82,5 @@
         if event.type =="park":
             self.btFit.SetLabel("Fit")
-            
+
         for item in self.parameters:
             if event.type =="scipy" :
@@ -136,6 +136,6 @@
                     item[5].Show(True)
                     item[6].Show(True)
-     
-        self.SetScrollbars(20,20,25,65)
+        self.Layout()
+
         
     
@@ -835,8 +835,9 @@
             raise ValueError,"missing parameter to fit"    
       
-    def onsetValues(self,chisqr, out,cov):
+    def onsetValues(self,chisqr,p_name, out,cov):
         """
             Build the panel from the fit result
             @param chisqr:Value of the goodness of fit metric
+            @p_name: the name of parameters
             @param out:list of parameter with the best value found during fitting
             @param cov:Covariance matrix
@@ -859,4 +860,5 @@
         #set the panel when fit result are float not list
         if out.__class__== numpy.float64:
+            print "float64"
             self.param_toFit[0][2].SetValue(format_number(out))
             self.param_toFit[0][2].Refresh()
@@ -916,13 +918,12 @@
                         pass                   
                     for j in range(len(out)):
-                        if out[j]==self.model.getParam(item[1]):
-                            
+                        
+                        if item[1] == p_name[j]:
                             break
                         ## unable to compare cov[j]==numpy.nan so switch to None
                     #Save errors to model.details[item][3]
-                    self.model.details[item[1]][3] = cov[i]
-                                       
-                    
-                    if cov[i]==None or not numpy.isfinite(cov[i]):
+                    self.model.details[item[1]][3] = cov[j]
+                                                           
+                    if cov[j]==None or not numpy.isfinite(cov[j]):
 
                         if item[3].IsShown:
@@ -930,6 +931,5 @@
                         if item[4].IsShown:
                             item[4].Hide()           
-                        #k += 1
-    
+                        #k += 1   
 
                     else:
@@ -938,5 +938,5 @@
                         item[3].Refresh()
                         item[4].Show(True)
-                        item[4].SetValue(format_number(cov[i]))
+                        item[4].SetValue(format_number(cov[j]))
                         item[4].Refresh()
                     
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 7a77859ed9cf681c883ee9e3bc63cae7056773ac)
+++ sansview/perspectives/fitting/fitting.py	(revision 6d9107370296ef59f9f0b56c3bdec65ee95c15a9)
@@ -357,6 +357,10 @@
         if string.find(item,".")!=-1:
             param_names= re.split("\.",item)
-            model_name=param_names[0]
-            param_name=param_names[1]  
+            model_name=param_names[0]           
+            ##Assume max len is 3; eg., M0.radius.width
+            if len(param_names) == 3:
+                param_name=param_names[1]+"."+param_names[2]
+            else:
+                param_name=param_names[1]                    
             return model_name,param_name
         
@@ -755,6 +759,8 @@
                     model= value.get_model()
                     break
+            param_name = []
             i = 0
             for name in pars:
+                param_name.append(name)
                 if result.pvec.__class__==numpy.float64:
                     model.setParam(name,result.pvec)
@@ -763,5 +769,5 @@
                     i += 1
             ## Reset values of the current page to fit result
-            cpage.onsetValues(result.fitness, result.pvec,result.stderr)
+            cpage.onsetValues(result.fitness,param_name, result.pvec,result.stderr)
             ## plot the current model with new param
             metadata =  self.page_finder[cpage].get_fit_data()
@@ -804,4 +810,5 @@
                     model = value.get_model()
                     metadata =  value.get_plotted_data()
+                    small_param_name = []
                     small_out = []
                     small_cov = []
@@ -815,12 +822,13 @@
                                 small_out.append(p.value )
                                 model.setParam(param_name,p.value) 
-                              
+                                small_param_name.append(param_name)
                                 small_cov.append(p.stderr)
                             else:
                                 value= model.getParam(param_name)
                                 small_out.append(value )
+                                small_param_name.append(param_name)
                                 small_cov.append(None)
                     # Display result on each page 
-                    page.onsetValues(result.fitness, small_out,small_cov)
+                    page.onsetValues(result.fitness, small_param_name,small_out,small_cov)
                     #Replot models
                     msg= "Simultaneous Fit completed. plotting... %s:"%model.name
